Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.remote
Class RowHandle

`java.lang.Object
oracle.jbo.common.remote.RowHandle`

All Implemented Interfaces:
  Handle, java.io.Serializable

public final class RowHandle
extends java.lang.Object
implements Handle

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_NULL`
`static int` | `TYPE_ROWHANDLE`
`static int` | `TYPE_ROWLAZY`

Constructor Summary
`RowHandle()`
`RowHandle(CompoundHandle rsiHandle, int rowHandle)`
`RowHandle(int rsiId, int rowHandle)`

Method Summary
`int` | `getRowHandle()`
`int` | `getRowSetIteratorId()`
`CompoundHandle` | `getRSIHandle()`
`int` | `getType()`
`boolean` | `isNull()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ROWLAZY

    public static final int TYPE_ROWLAZY

  See Also:
    Constant Field Values

### TYPE_ROWHANDLE

    public static final int TYPE_ROWHANDLE

  See Also:
    Constant Field Values

### TYPE_NULL

    public static final int TYPE_NULL

  See Also:
    Constant Field Values

Constructor Detail

### RowHandle

    public RowHandle()

### RowHandle

    public RowHandle(CompoundHandle rsiHandle,
                     int rowHandle)

### RowHandle

    public RowHandle(int rsiId,
                     int rowHandle)

Method Detail

### getType

    public int getType()

### getRowSetIteratorId

    public int getRowSetIteratorId()

### getRSIHandle

    public CompoundHandle getRSIHandle()

### getRowHandle

    public int getRowHandle()

### isNull

    public boolean isNull()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.